AddManuallyManagedMembers
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.AppEntitlements.AddManuallyManagedMembers(ctx, operations.C1APIAppV1AppEntitlementsAddManuallyManagedMembersRequest{
AppID: "<id>",
AppEntitlementID: "<id>",
})
if err != nil {
log.Fatal(err)
}
if res.ManuallyManagedUsersResponse != nil {
// handle response
}
}import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";
const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
security: {
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
oauth: "<YOUR_OAUTH_HERE>",
},
});
async function run() {
const result = await conductoroneSDKTypescript.appEntitlements.addManuallyManagedMembers({
appId: "<id>",
appEntitlementId: "<id>",
});
console.log(result);
}
run();curl --request POST \
--url https://{tenantDomain}.conductor.one/api/v1/apps/{app_id}/entitlements/{app_entitlement_id}/add-manual-user \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"userIds": [
"<string>"
]
}
'import requests
url = "https://{tenantDomain}.conductor.one/api/v1/apps/{app_id}/entitlements/{app_entitlement_id}/add-manual-user"
payload = { "userIds": ["<string>"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({userIds: ['<string>']})
};
fetch('https://{tenantDomain}.conductor.one/api/v1/apps/{app_id}/entitlements/{app_entitlement_id}/add-manual-user', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"failedUsersErrorMap": {}
}App Entitlement
Add Manually Managed Members
Invokes the c1.api.app.v1.AppEntitlements.AddManuallyManagedMembers method.
POST
/
api
/
v1
/
apps
/
{app_id}
/
entitlements
/
{app_entitlement_id}
/
add-manual-user
AddManuallyManagedMembers
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.AppEntitlements.AddManuallyManagedMembers(ctx, operations.C1APIAppV1AppEntitlementsAddManuallyManagedMembersRequest{
AppID: "<id>",
AppEntitlementID: "<id>",
})
if err != nil {
log.Fatal(err)
}
if res.ManuallyManagedUsersResponse != nil {
// handle response
}
}import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";
const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
security: {
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
oauth: "<YOUR_OAUTH_HERE>",
},
});
async function run() {
const result = await conductoroneSDKTypescript.appEntitlements.addManuallyManagedMembers({
appId: "<id>",
appEntitlementId: "<id>",
});
console.log(result);
}
run();Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.
Path Parameters
The appId field.
The appEntitlementId field.
Body
application/json
The AddManuallyManagedUsersRequest message.
The userIds field.
Response
200 - application/json
Successful response
The ManuallyManagedUsersResponse message.
The failedUsersErrorMap field.
Show child attributes
Show child attributes
Was this page helpful?
⌘I